Modify

Opened 12 days ago

Closed 8 days ago

Last modified 6 days ago

#19592 closed defect (fixed)

Failed to load plugins after update

Reported by: anonymous Owned by: Tyndare
Priority: blocker Milestone:
Component: Plugin conflation Version:
Keywords: template_report svg icon Cc: Alan, Bragg

Description

What steps will reproduce the problem?

What is the expected result?

What happens instead?

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-07-26 09:33:11 +0200 (Sun, 26 Jul 2020)
Revision:16809
Build-Date:2020-07-27 01:30:49
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (16809 en_GB) Linux Ubuntu 20.04.1 LTS
Memory Usage: 1394 MB / 12052 MB (518 MB allocated, but free)
Java version: 11.0.8+10-post-Ubuntu-0ubuntu120.04, Ubuntu, OpenJDK 64-Bit Server VM
Look and Feel: javax.swing.plaf.metal.MetalLookAndFeel
Screen: :0.0 3840x2160 (scaling 1.0x1.0)
Maximum Screen Size: 3840x2160
Best cursor sizes: 16x16 -> 16x16, 32x32 -> 32x32
Java package: openjdk-11-jre:amd64-11.0.8+10-0ubuntu1~20.04
Java ATK Wrapper package: libatk-wrapper-java:all-0.37.1-1
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:-
VM arguments: [-Djosm.restart=true, -Djosm.dir.name=JOSM-latest, -Djava.net.useSystemProxies=true, -Dawt.useSystemAAFontSettings=gasp]

Plugins:
+ DirectDownload (35248)
+ DirectUpload (35499)
+ PicLayer (35405)
+ apache-commons (35362)
+ buildings_tools (35500)
+ conflation (0.6.5)
+ editgpx (35248)
+ ejml (35313)
+ geotools (35169)
+ jaxb (35092)
+ jts (35122)
+ opendata (35513)
+ public_transport (35405)
+ reltoolbox (35405)
+ reverter (35499)
+ scripting (30796)
+ terracer (35499)
+ turnrestrictions (35515)
+ utilsplugin2 (35487)

Map paint styles:
- https://pastebin.com/raw/RxKNky3E
- ${HOME}/Downloads/labeled_building_levels_1.03.mapcss

Last errors/warnings:
- W: Update plug-ins - You updated your JOSM software. To prevent problems the plug-ins should be updated as well.  Update plug-ins now?
- E: Failed to locate image 'dialogs/settings'
- E: Handled by bug report queue: org.openstreetmap.josm.plugins.PluginException: An error occurred in plug-in conflation. Cause: java.lang.reflect.InvocationTargetException. Cause: java.lang.IllegalArgumentException: No icon provided
- W: Warning - <html>JOSM could not find information about the following plug-ins:<ul><li>apache-commons</li><li>reltoolbox</li><li>conflation</li><li>geotools</li><li>opendata</li><li>jts</li><li>DirectDownload</li><li>DirectUpload</li><li>ejml</li><li>public_transport</li><li>reverter</li><li>jaxb</li><li>scripting</li><li>editgpx</li><li>utilsplugin2</li><li>buildings_tools</li><li>terracer</li><li>turnrestrictions</li><li>PicLayer</li></ul>The plug-ins are not going to be loaded.</html>


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-0 (20) of main
org.openstreetmap.josm.plugins.PluginException: An error occurred in plug-in conflation
	at org.openstreetmap.josm.plugins.PluginProxy.handlePluginException(PluginProxy.java:60)
	at org.openstreetmap.josm.plugins.PluginProxy.mapFrameInitialized(PluginProxy.java:71)
	at org.openstreetmap.josm.gui.MainPanel.updateContent(MainPanel.java:80)
	at org.openstreetmap.josm.gui.MainPanel$1.beforeFirstLayerAdded(MainPanel.java:157)
	at org.openstreetmap.josm.gui.layer.MainLayerManager.realAddLayer(MainLayerManager.java:281)
	at org.openstreetmap.josm.gui.layer.LayerManager.lambda$addLayer$0(LayerManager.java:217)
	at org.openstreetmap.josm.gui.util.GuiHelper.runInEDTAndWaitWithException(GuiHelper.java:240)
	at org.openstreetmap.josm.gui.layer.LayerManager.addLayer(LayerManager.java:217)
	at org.openstreetmap.josm.gui.layer.LayerManager.addLayer(LayerManager.java:206)
	at org.openstreetmap.josm.actions.SessionLoadAction$Loader.addLayer(SessionLoadAction.java:162)
	at org.openstreetmap.josm.actions.SessionLoadAction$Loader.addLayers(SessionLoadAction.java:142)
	at org.openstreetmap.josm.actions.SessionLoadAction$Loader.lambda$finish$0(SessionLoadAction.java:131)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:313)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:117)
	at java.desktop/java.awt.WaitDispatchSupport$2.run(WaitDispatchSupport.java:190)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:235)
	at java.desktop/java.awt.WaitDispatchSupport$4.run(WaitDispatchSupport.java:233)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.desktop/java.awt.WaitDispatchSupport.enter(WaitDispatchSupport.java:233)
	at java.desktop/java.awt.Dialog.show(Dialog.java:1070)
	at java.desktop/java.awt.Component.show(Component.java:1716)
	at java.desktop/java.awt.Component.setVisible(Component.java:1663)
	at java.desktop/java.awt.Window.setVisible(Window.java:1031)
	at java.desktop/java.awt.Dialog.setVisible(Dialog.java:1005)
	at org.openstreetmap.josm.gui.progress.swing.PleaseWaitProgressMonitor.lambda$doBeginTask$3(PleaseWaitProgressMonitor.java:255)
	at org.openstreetmap.josm.gui.progress.swing.PleaseWaitProgressMonitor.lambda$doInEDT$0(PleaseWaitProgressMonitor.java:113)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(InvocationEvent.java:313)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(EventQueue.java:770)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:721)
	at java.desktop/java.awt.EventQueue$4.run(EventQueue.java:715)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(ProtectionDomain.java:85)
	at java.desktop/java.awt.EventQueue.dispatchEvent(EventQueue.java:740)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:203)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:124)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:113)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:109)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:101)
	at java.desktop/java.awt.EventDispatchThread.run(EventDispatchThread.java:90)
Caused by: java.lang.reflect.InvocationTargetException
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.base/java.lang.reflect.Method.invoke(Method.java:566)
	at org.openstreetmap.josm.plugins.PluginProxy.mapFrameInitialized(PluginProxy.java:66)
	... 45 more
Caused by: java.lang.IllegalArgumentException: No icon provided
	at org.openstreetmap.josm.gui.SideButton.<init>(SideButton.java:43)
	at org.openstreetmap.josm.plugins.conflation.ConflationToggleDialog.<init>(ConflationToggleDialog.java:223)
	at org.openstreetmap.josm.plugins.conflation.ConflationPlugin.mapFrameInitialized(ConflationPlugin.java:23)
	... 50 more

=== RUNNING THREADS ===
Thread: Keep-Alive-Timer (25)
java.base@11.0.8/java.lang.Thread.sleep(Native Method)
java.base@11.0.8/sun.net.www.http.KeepAliveCache.run(KeepAliveCache.java:168)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)
java.base@11.0.8/jdk.internal.misc.InnocuousThread.run(InnocuousThread.java:134)

Thread: image-fetcher-0 (39) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.8/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: ForkJoinPool.commonPool-worker-5 (41) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.8/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Finalizer (3) of system
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.base@11.0.8/java.lang.ref.Finalizer$FinalizerThread.run(Finalizer.java:170)

Thread: message-notifier-0 (55) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2123)
java.base@11.0.8/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@11.0.8/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: Timer-0 (59) of main
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@11.0.8/java.util.TimerThread.run(Timer.java:506)

Thread: DestroyJavaVM (57) of main

Thread: pool-1-thread-1 (53)
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.8/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: FileSystemWatchService (27) of main
java.base@11.0.8/sun.nio.fs.LinuxWatchService.poll(Native Method)
java.base@11.0.8/sun.nio.fs.LinuxWatchService$Poller.run(LinuxWatchService.java:316)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: Weak reference cleaner (29) of main
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
app//org.openstreetmap.josm.tools.ListenableWeakReference.clean(ListenableWeakReference.java:60)
app//org.openstreetmap.josm.tools.ListenableWeakReference$$Lambda$377/0x0000000840466840.run(Unknown Source)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: ForkJoinPool.commonPool-worker-11 (44) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.parkUntil(LockSupport.java:275)
java.base@11.0.8/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1619)
java.base@11.0.8/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Common-Cleaner (11) of InnocuousThreadGroup
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.8/jdk.internal.ref.CleanerImpl.run(CleanerImpl.java:148)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)
java.base@11.0.8/jdk.internal.misc.InnocuousThread.run(InnocuousThread.java:134)

Thread: GT authority factory disposer (50) of main
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.util.TimerThread.mainLoop(Timer.java:553)
java.base@11.0.8/java.util.TimerThread.run(Timer.java:506)

Thread: ForkJoinPool.commonPool-worker-13 (46) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.8/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Signal Dispatcher (4) of system

Thread: process reaper (13) of system
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.8/java.util.concurrent.SynchronousQueue$TransferStack.awaitFulfill(SynchronousQueue.java:462)
java.base@11.0.8/java.util.concurrent.SynchronousQueue$TransferStack.transfer(SynchronousQueue.java:361)
java.base@11.0.8/java.util.concurrent.SynchronousQueue.poll(SynchronousQueue.java:937)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1053)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: Reference Handler (2) of system
java.base@11.0.8/java.lang.ref.Reference.waitForReferencePendingList(Native Method)
java.base@11.0.8/java.lang.ref.Reference.processPendingReferences(Reference.java:241)
java.base@11.0.8/java.lang.ref.Reference$ReferenceHandler.run(Reference.java:213)

Thread: ForkJoinPool.commonPool-worker-15 (45) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.8/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Timer-1 (61) of main
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.Object.wait(Object.java:328)
java.base@11.0.8/java.util.TimerThread.mainLoop(Timer.java:527)
java.base@11.0.8/java.util.TimerThread.run(Timer.java:506)

Thread: main-worker-0 (60) of main
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.Object.wait(Object.java:328)
java.desktop@11.0.8/java.awt.EventQueue.invokeAndWait(EventQueue.java:1361)
java.desktop@11.0.8/java.awt.EventQueue.invokeAndWait(EventQueue.java:1342)
app//org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:112)
app//org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:142)
java.base@11.0.8/java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:515)
java.base@11.0.8/java.util.concurrent.FutureTask.run(FutureTask.java:264)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1128)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: AWT-EventQueue-0 (20) of main
Stacktrace see above.

Thread: ForkJoinPool.commonPool-worker-9 (43) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.8/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Map Status Collector (63) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.8/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
app//org.openstreetmap.josm.gui.MapStatus$Collector.run(MapStatus.java:433)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: JCS-ElementEventQueue-Thread-1 (49) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.8/java.util.concurrent.LinkedBlockingQueue.take(LinkedBlockingQueue.java:433)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: AWT-Shutdown (21) of system
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.Object.wait(Object.java:328)
java.desktop@11.0.8/sun.awt.AWTAutoShutdown.run(AWTAutoShutdown.java:291)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: ForkJoinPool.commonPool-worker-7 (42) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.8/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: WeakCollectionCleaner (51) of main
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
org.geotools.util.WeakCollectionCleaner.run(WeakCollectionCleaner.java:65)

Thread: File Watcher (28) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.8/java.util.concurrent.LinkedBlockingDeque.takeFirst(LinkedBlockingDeque.java:483)
java.base@11.0.8/java.util.concurrent.LinkedBlockingDeque.take(LinkedBlockingDeque.java:671)
java.base@11.0.8/sun.nio.fs.AbstractWatchService.take(AbstractWatchService.java:118)
app//org.openstreetmap.josm.io.FileWatcher.processEvents(FileWatcher.java:120)
app//org.openstreetmap.josm.io.FileWatcher$$Lambda$341/0x00000008403d9040.run(Unknown Source)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: changeset-updater-0 (56) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.parkNanos(LockSupport.java:234)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.awaitNanos(AbstractQueuedSynchronizer.java:2123)
java.base@11.0.8/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:1182)
java.base@11.0.8/java.util.concurrent.ScheduledThreadPoolExecutor$DelayedWorkQueue.take(ScheduledThreadPoolExecutor.java:899)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.getTask(ThreadPoolExecutor.java:1054)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1114)
java.base@11.0.8/java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:628)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: TimerQueue (22) of system
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.locks.AbstractQueuedSynchronizer$ConditionObject.await(AbstractQueuedSynchronizer.java:2081)
java.base@11.0.8/java.util.concurrent.DelayQueue.take(DelayQueue.java:217)
java.desktop@11.0.8/javax.swing.TimerQueue.run(TimerQueue.java:171)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: Java2D Disposer (15) of system
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:155)
java.base@11.0.8/java.lang.ref.ReferenceQueue.remove(ReferenceQueue.java:176)
java.desktop@11.0.8/sun.java2d.Disposer.run(Disposer.java:144)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: AWT-XAWT (18) of system
java.desktop@11.0.8/sun.awt.X11.XToolkit.waitForEvents(Native Method)
java.desktop@11.0.8/sun.awt.X11.XToolkit.run(XToolkit.java:684)
java.desktop@11.0.8/sun.awt.X11.XToolkit.run(XToolkit.java:648)
java.base@11.0.8/java.lang.Thread.run(Thread.java:834)

Thread: ForkJoinPool.commonPool-worker-3 (40) of main
java.base@11.0.8/jdk.internal.misc.Unsafe.park(Native Method)
java.base@11.0.8/java.util.concurrent.locks.LockSupport.park(LockSupport.java:194)
java.base@11.0.8/java.util.concurrent.ForkJoinPool.runWorker(ForkJoinPool.java:1628)
java.base@11.0.8/java.util.concurrent.ForkJoinWorkerThread.run(ForkJoinWorkerThread.java:183)

Thread: Image Fetcher 0 (62)
java.base@11.0.8/java.lang.Object.wait(Native Method)
java.desktop@11.0.8/sun.awt.image.ImageFetcher.nextImage(ImageFetcher.java:154)
java.desktop@11.0.8/sun.awt.image.ImageFetcher.fetchloop(ImageFetcher.java:207)
java.desktop@11.0.8/sun.awt.image.ImageFetcher.run(ImageFetcher.java:176)

Attachments (1)

josm_conflation_icons.png (33.4 KB) - added by skyper 8 days ago.
screenshot of working plugin

Download all attachments as: .zip

Change History (21)

comment:1 Changed 12 days ago by skyper

Component: CorePlugin conflation
Keywords: svg added
Owner: changed from team to Tyndare
Priority: normalblocker

Icons are changed to vector graphics and the plugin needs to point to the new icons. See #15240.

Last edited 12 days ago by skyper (previous) (diff)

comment:2 Changed 12 days ago by skyper

Priority: blockernormal

Strange for me the plugin seems to work, at least I get no exception:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-07-26 09:33:11 +0200 (Sun, 26 Jul 2020)
Revision:16809
Build-Date:2020-07-27 01:30:49
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (16809 en) Linux Debian GNU/Linux 10 (buster)
Memory Usage: 297 MB / 768 MB (136 MB allocated, but free)
Java version: 11.0.8+10-post-Debian-1deb10u1, Debian, OpenJDK 64-Bit Server VM

Plugins:
+ conflation (0.6.5)

comment:3 Changed 12 days ago by Klumbumbus

I created a pull request 9 days ago but nobody did merge it. https://github.com/JOSM/conflation/pull/14

comment:4 Changed 9 days ago by skyper

Ticket #19606 has been marked as a duplicate of this ticket.

comment:5 Changed 9 days ago by skyper

Cc: Alan Bragg added
Keywords: icon added

comment:6 Changed 9 days ago by Klumbumbus

Ticket #19607 has been marked as a duplicate of this ticket.

comment:7 Changed 9 days ago by Klumbumbus

Ticket #19610 has been marked as a duplicate of this ticket.

comment:8 Changed 8 days ago by leni

isn't #19611 the same as this one?

comment:9 Changed 8 days ago by skyper

Ticket #19611 has been marked as a duplicate of this ticket.

comment:10 in reply to:  8 ; Changed 8 days ago by skyper

Replying to leni:

isn't #19611 the same as this one?

Yes, same stack trace.

It is still strange, that I do not get this exception.

comment:11 in reply to:  10 ; Changed 8 days ago by Klumbumbus

Replying to skyper:

It is still strange, that I do not get this exception.

So you see this icon source:/josm/trunk/nodist/images/dialogs/settings.png in the conflation plugin with JOSM version >= 16799?

Changed 8 days ago by skyper

Attachment: josm_conflation_icons.png added

screenshot of working plugin

comment:12 in reply to:  11 ; Changed 8 days ago by skyper

Replying to Klumbumbus:

Replying to skyper:

It is still strange, that I do not get this exception.

So you see this icon source:/josm/trunk/nodist/images/dialogs/settings.png in the conflation plugin with JOSM version >= 16799?

Yes, it is working for me!

screenshot of working plugin

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-07-30 12:44:04 +0200 (Thu, 30 Jul 2020)
Revision:16812
Build-Date:2020-07-31 01:30:49
URL:https://josm.openstreetmap.de/svn/trunk

Plugins:
+ conflation (0.6.5)

comment:13 in reply to:  12 Changed 8 days ago by skyper

Replying to skyper:

Replying to Klumbumbus:

Replying to skyper:

It is still strange, that I do not get this exception.

So you see this icon source:/josm/trunk/nodist/images/dialogs/settings.png in the conflation plugin with JOSM version >= 16799?

Yes, it is working for me!

Oh, I see, right now, I have the icon under /usr/share/josm/images/dialogs/settings.png from the official debian backport package. Is /usr/share/josm one path to look for icons?

comment:14 Changed 8 days ago by Klumbumbus

OK, so it takes the icon from somewhere else. I don't know how the debian packages work and if this behavior is wanted or not.

This now explains also ticket:19446#comment:5.

comment:15 in reply to:  14 Changed 8 days ago by skyper

Replying to Klumbumbus:

OK, so it takes the icon from somewhere else. I don't know how the debian packages work and if this behavior is wanted or not.

Do not get me wrong. I use the josm-latest debian package from this website and have the official josm package (buster-backports) installed , in parallel, which is more or less testing with a delay of one week.

This now explains also ticket:19446#comment:5.

Yes, if more paths like the standard system paths are used.

Last edited 8 days ago by skyper (previous) (diff)

comment:16 Changed 8 days ago by skyper

Priority: normalblocker

So, without my trick, it is a blocker.

Last edited 8 days ago by skyper (previous) (diff)

comment:17 in reply to:  14 Changed 8 days ago by skyper

Replying to Klumbumbus:

OK, so it takes the icon from somewhere else. I don't know how the debian packages work and if this behavior is wanted or not.

The package includes the .jar and some scripts like desktop icon, system/command shell integration and man page. Nothing which should change the icon path. Note, you can usually open a .deb file with a file extraction software.

Last edited 8 days ago by skyper (previous) (diff)

comment:18 Changed 8 days ago by Klumbumbus

Resolution: fixed
Status: newclosed

Everyone please update the conflation plugin to version 0.6.6.

comment:19 Changed 6 days ago by Klumbumbus

Ticket #19625 has been marked as a duplicate of this ticket.

comment:20 Changed 6 days ago by Klumbumbus

Ticket #19628 has been marked as a duplicate of this ticket.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Tyndare.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.